OpenVDB 12.1.0

Loading...
Searching...
No Matches
PointMaskImpl.h File Reference

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::points

## Functions
template<typename PointDataTreeT, typename MaskTreeT = typename PointDataTreeT::template ValueConverter<bool>::Type, typename FilterT = NullFilter>
std::enable_if< std::is_base_of< TreeBase, PointDataTreeT >::value &&std::is_same< typenameMaskTreeT::ValueType, bool >::value, typenameMaskTreeT::Ptr >::type | convertPointsToMask (const PointDataTreeT &tree, const FilterT &filter=NullFilter(), bool threaded=true)
| Extract a Mask Tree from a Point Data Tree.
template<typename PointDataGridT, typename MaskGridT = typename PointDataGridT::template ValueConverter<bool>::Type, typename FilterT = NullFilter>
std::enable_if< std::is_base_of< GridBase, PointDataGridT >::value &&std::is_same< typenameMaskGridT::ValueType, bool >::value, typenameMaskGridT::Ptr >::type | convertPointsToMask (const PointDataGridT &grid, const FilterT &filter=NullFilter(), bool threaded=true)
| Extract a Mask Grid from a Point Data Grid.
template<typename PointDataGridT, typename MaskT = typename PointDataGridT::template ValueConverter<bool>::Type, typename FilterT = NullFilter>
std::enable_if< std::is_same< typenameMaskT::ValueType, bool >::value, typenameMaskT::Ptr >::type | convertPointsToMask (const PointDataGridT &grid, const openvdb::math::Transform &transform, const FilterT &filter=NullFilter(), bool threaded=true)
| Extract a Mask Grid from a Point Data Grid using a new transform.

## Detailed Description

Author
  Dan Bailey